package com.example.myapplication

import android.support.v7.widget.RecyclerView
import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import android.widget.Toast

class NoteAdapter(private val mainActivity: MainActivity) : RecyclerView.Adapter<NoteAdapter.NoteItemHolder> () {

inner class NoteItemHolder(view: View) : RecyclerView.ViewHolder(view), View.OnClickListener {
    internal  var title = view.findViewById<TextView>(R.id.noteTitle)
    internal var body = view.findViewById<TextView>(R.id.noteBody)

    init {
        view.isClickable = true
        view.setOnClickListener(this)
    }

    override fun onClick(p0: View?) {
        Log.w("warn", "Kliknuto na poznánmku $adapterPosition")
    }
}

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): NoteItemHolder {
        val item = LayoutInflater.from(parent.context).inflate(R.layout.note_item, parent, false)
        return NoteItemHolder(item)
    }

    override fun onBindViewHolder(holder: NoteItemHolder, pos: Int) {
        val note = mainActivity.notes[pos]
        holder.title.text= note.title
        holder.body.text = note.text
    }

    override fun getItemCount(): Int =mainActivity.notes.size

}